Bug 236831 - metacity lets me resize a window underneath my panel
metacity lets me resize a window underneath my panel
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-04-17 16:41 EDT by Jonathan Kamens
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-16 15:01:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 385145 None None None Never

  None (edit)
Description Jonathan Kamens 2007-04-17 16:41:18 EDT

My main panel is at the bottom of my screen.  If I grab hold of the lower edge
of a window and pull down to resize it, metacity lets me resize it all the way
to the bottom of the screen, even though that leaves me with part of the window
obscured by the panel.  Correct behavior would be to stop the resize at the edge
of the panel.
Comment 1 Matthias Clasen 2007-04-17 20:38:15 EDT
Why do you think that would be correct ?

Metacity also lets you move a window partially offscreen underneath the bottom
panel. The constraint that metacity is implementing here is to keep the title
part of the window on screen, vertically. I don't consider this a bug.
Comment 2 Jonathan Kamens 2007-04-17 20:46:47 EDT
It's a bug because it's (in my opinion) completely non-intuitive, because it
makes it impossible to grab the border I just resized if I let go over it so
that I can resize it again, and because it's now how the two UIs from which
GNOME clearly derives so much, Windows and OS X, behave.

I'd venture to say that the folks at Microsoft and Apple who spent oodles and
oodles of dollars on usability studies for the UIs are probably a pretty good
authority to rely on for things like this.
Comment 3 Jonathan Kamens 2007-04-17 20:47:34 EDT
Sigh.  Two typos: "if I let go over it" => "if I let go OF it" and "it's now
how" => "it's NOT how".
Comment 4 Matthias Clasen 2007-04-17 23:01:16 EDT
If you feel strongly about this, please file an upstream bug and see if you can
convince the metacity maintainers to change this behaviour. We are not going to
carry a patch for this.
Comment 5 Jonathan Kamens 2007-04-18 07:50:23 EDT
Upstream agrees that this is a bug.  See the external reference I just added.
Comment 6 Bug Zapper 2008-04-03 20:08:01 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:30:12 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
Comment 8 Jonathan Kamens 2008-05-06 21:32:19 EDT
Still a bug.
Comment 9 Bug Zapper 2008-05-13 22:46:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 10 Søren Sandmann Pedersen 2009-04-22 18:00:25 EDT
Fixed in rawhidwe
Comment 11 Jonathan Kamens 2009-04-28 23:04:31 EDT
Not fixed in Rawhide.  Not sure why you marked it so.
Comment 12 Søren Sandmann Pedersen 2009-05-26 13:14:33 EDT
I can't reproduce this. If I grab the bottom window edge and drag down, it stops at the bottom panel.
Comment 13 Jonathan Kamens 2009-05-26 15:52:17 EDT
For me, it doesn't stop at the bottom panel.

So, what is different between your environment and mine?  How can we figure that out?

I am running everything current from rawhide.
Comment 14 Jonathan Kamens 2009-05-26 15:58:49 EDT
Do you have autohide set?  When I set autohide, then indeed the lower edge of the window won't move below the (mostly) hidden panel.  But I don't usually use autohide, and I'm talking about the bottom edge happily resizing to below the upper edge of the non-hidden panel.
Comment 15 Bug Zapper 2009-06-09 18:32:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 16 Bug Zapper 2009-11-16 02:55:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 17 Owen Taylor 2009-11-16 15:01:47 EST
We're not going to make changes here independent of upstream.

Note You need to log in before you can comment on or make changes to this bug.